'''
Tests unitaires: parser de fichier XML

@author: olivier.massot, oct. 2017
'''
import unittest

from tests import HERE

from core import xmlparser


class Test(unittest.TestCase):

    def test_parser(self):
        data = xmlparser.parse(HERE / r"rsc\test_xmlparser\testfile.xml")
        self.assertEqual(data['dtDictConjointes.noConsultationDuTeleservice'], '2017082500228P')

if __name__ == "__main__":
    unittest.main()
